function adjustbrightnessmanage(filename,filepath,mode)

%   adjustbrightnessmanage

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

helligkeitsedit=findobj('tag','helligkeitsedit');
helligkeitsstring=get(helligkeitsedit,'string');
helligkeit=str2num(helligkeitsstring);

if mode==0
   modefehler
   return
faktor=1;

% directory mode   
elseif mode==11
	cd (filepath);
	filelist=dir(filepath);
   filelistsize=size(filelist);
      
	% Schleife für Files
   for filezaehler=3:filelistsize(1)
      adjustbrightness(helligkeit,filelist(filezaehler).name);
   end
   ok
   
% batchfile mode   
elseif mode==12
   filemat=batchfiletomat(filename,filepath);
   filematgroessevec=size(filemat);
   filematgroesse=filematgroessevec(2);
   for l=1:filematgroesse
   adjustbrightness(helligkeit,filemat{l});
   end
   
      
% single file mode   
elseif mode==2
   adjustbrightness(helligkeit,filename,filepath)
	ok
  
end
adjustbrightnessfenster=findobj('tag','adjustbrightnessfenster');
close(figure(adjustbrightnessfenster));
return